Subject: Re: ctrl-c swallowed
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 31 Aug 2003 15:01:57 -0700

Anders Lindén wrote:

> When I use the Programs->cygwin->cygwin bash shell, I get a console window with a bash shell, but ctrl-c
> presses never reaches the applications. I presume that it is the bash application that swallows them, or?
> 
> When I run bash in xfree (shipped with cygwin), the problem is not there, ctrl-c presses is reaching the application.
> However, I need to use the console.

I don't know if this is the "officially correct" answer or not, but I
find that ^C doesn't work right with some programs when run from CMD.EXE
unless I have the "tty" flag added to the CYGWIN environment variable. 
The users' guide has a section on how to do this, I'm sure.

A better solution, in my opinion, is to ditch CMD.EXE completely and use
rxvt as the terminal -- it will work equally well regardless of whether
XFree86 is running or not.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/